# -*- encoding: utf-8 -*-
# stub: rubytree 2.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "rubytree".freeze
  s.version = "2.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "rubygems_mfa_required" => "true" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Anupam Sengupta".freeze]
  s.date = "2022-06-21"
  s.description = "    RubyTree is a pure Ruby implementation of the generic tree data\n    structure. It provides a node-based model to store named nodes in the tree,\n    and provides simple APIs to access, modify and traverse the structure.\n\n    The implementation is node-centric, where individual nodes in the tree are\n    the primary structural elements. All common tree-traversal methods\n    (pre-order, post-order, and breadth-first) are supported.\n\n    The library mixes in the Enumerable and Comparable modules to allow access\n    to the tree as a standard collection (iteration, comparison, etc.).\n\n    A Binary tree is also provided, which provides the in-order traversal in\n    addition to the other methods.\n\n    RubyTree supports importing from, and exporting to JSON, and also supports\n    the Ruby's standard object marshaling.\n\n    This is a BSD licensed open source project, and is hosted at\n    <https://github.com/evolve75/RubyTree>, and is available as a standard gem\n    from <https://rubygems.org/gems/rubytree>.\n\n    The home page for RubyTree is at <http://rubytree.anupamsg.me>.\n\n".freeze
  s.email = "anupamsg@gmail.com".freeze
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE.md".freeze, "API-CHANGES.md".freeze, "History.md".freeze]
  s.files = ["API-CHANGES.md".freeze, "History.md".freeze, "LICENSE.md".freeze, "README.md".freeze]
  s.homepage = "http://rubytree.anupamsg.me".freeze
  s.licenses = ["BSD-3-Clause-Clear".freeze]
  s.post_install_message = "    ========================================================================\n                    Thank you for installing RubyTree.\n\n    Note::\n\n    - 2.0.0 is a major release with BREAKING API changes.\n            See `API-CHANGES.md` for details.\n\n    - `Tree::TreeNode#depth` method has been removed (it was broken).\n\n    - Support for `CamelCase` methods names has bee removed.\n\n    - The predicate methods no longer have `is_` or `has_` prefixes. However,\n      aliases with these prefixes exist to support existing client code.\n\n    - Use of integers as node names does not require the optional\n      `num_as_name` flag.\n\n    - `structured_warnings` is no longer a dependency.\n\n    - Explicit support for rbx Ruby has been removed.\n\n    ========================================================================\n".freeze
  s.rdoc_options = ["--title".freeze, "Rubytree Documentation: rubytree-2.0.0".freeze, "--main".freeze, "README.md".freeze, "--quiet".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A generic tree data structure for Ruby.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<json>.freeze, ["~> 2.0", "> 2.3.1"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.3"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 6.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0", "> 3.10"])
    s.add_development_dependency(%q<rtagstask>.freeze, ["~> 0.0.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rubocop-rake>.freeze, ["~> 0.0"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<test-unit>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.0", ">= 0.9.20"])
  else
    s.add_dependency(%q<json>.freeze, ["~> 2.0", "> 2.3.1"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.3"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 6.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0", "> 3.10"])
    s.add_dependency(%q<rtagstask>.freeze, ["~> 0.0.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rubocop-rake>.freeze, ["~> 0.0"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 2.0"])
    s.add_dependency(%q<test-unit>.freeze, ["~> 3.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.0", ">= 0.9.20"])
  end
end
